<?php	/* /momo/lib/iconset.php, (c) 2008, Andreas Forstinger, www.mobilemoodle.org */
        // Here the system icon paths are stored

global $icon;

/// general purpose icons
    $icon['edit'] = '/edit.png';
    $icon['add'] = '/add.png';
    $icon['ok'] = '/ok.png';
    $icon['error'] = '/error.png';
    $icon['cancel'] = '/cancel.png';
    $icon['info'] = '/inf.png';
    $icon['internet'] = '/internet.png';
    $icon['link'] = '/link.png';
    $icon['search'] = '/search.png';
    $icon['camera'] = '/camera.png';
    $icon['save'] = '/save.png';
    $icon['delete'] = '/del.png';
    $icon['phone'] = '/phone.png';

/// course related icons
    $icon['crs_course'] = '/course.png';
    $icon['crs_teachers'] = '';
    $icon['crs_participants'] = '';
    $icon['crs_label'] = '/label.png';
    $icon['crs_section'] = '/section.png';
    $icon['crs_activity'] = '/activity.png';

/// module related icons
    $icon['mod_forum'] = '/forum.png';
    $icon['mod_choice'] = '/choice.png';
    $icon['mod_semacode'] = '/semacode.png';
    $icon['mod_mlo'] = '/mlo.png';
    $icon['mod_resource'] = '/doc.png';

/// posting related icons (blog & forum)
    $icon['pst_posting'] = '/posting.png';
    $icon['pst_postings'] = '/postings.png';
    $icon['pst_posting_new'] = '/post_new.png';
    $icon['pst_discussion'] = '/discussion.png';
    $icon['pst_discussions'] = '/discussions.png';
    $icon['pst_discussion_new'] = '/discussion_new.png';
    $icon['pst_discussion_new'] = '/discussion_new.png';

/// community related icons
    $icon['blog'] = '/blog.png';
    $icon['profile'] = '/prs.png';
    $icon['community'] = '/com.png';

/// messaging related icons
    $icon['msg_message'] = '/message.png';
    $icon['msg_messages'] = '/messages.png';
    $icon['msg_new'] = '/nma.png';
    $icon['msg_unread'] = '/nma.png';
    $icon['msg_read'] = '/msg.png';
    $icon['msg_reply'] = '/msg_reply.png';
    $icon['msg_archive'] = '/msg_archive.png';
    $icon['msg_inbox'] = 	'/inbox.png';

/// contact related icons
    $icon['contacts'] = '/contacts.png';
    $icon['contact'] = '/contact.png';
    $icon['con_add'] = '/contact_add.png';
    $icon['con_block'] = '/contact_block.png';
    $icon['con_unblock'] = '/contact_unblock.png';
    $icon['con_remove'] = '/contact_remove.png';
    $icon['contactlist'] = '/contactlist.png';
    $icon['blocklist'] = '/blocklist.png';



/**
 * The following function returns the correct icon path to the given
 * identifier
 * @param string $identifier unique string for the icon
 */
function momo_get_icon_path($identifier){
    global $icon;

//    $path = 'images/' . $icon[$identifier]; (old version for server side icons)

    $path = $icon[$identifier];

    return $path;

}

function momo_print_icon_path($identifier){
    echo(momo_get_icon_path($identifier));
}


?>