<?php
/* (c) 2007, Andreas Forstinger, www.mobilemoodle.org */
global $CFG, $USER;
require_once ($CFG->dirroot . '/message/lib.php'); // messaging support

// get unread messages
$newmessages = get_records('message', 'useridto', $USER->id, 'timecreated DESC');
if (empty ($newmessages)) {
    $newmessages = null;
}
?>
<ps t="<?php momo_print_string('hd_inbox') ?>" s="false" bo="true" back="msg/messages.php|m">
<pa>
<momo:inbox />
<?php momo_print_header(momo_get_string('hd_inbox'), 'msg_inbox') ?>
<?php

if (empty ($newmessages)) { // no messages
    momo_print_notice(momo_get_string('msg_messaging_no_messages'));
} else { // if there are messages
    // counter for paging
    $count = 1;
    foreach ($newmessages as $message) {
        if ($count > $CFG->momo_wrap_limit) { // wrap content
            $count = 1;
            momo_print_paging();
        }
        // get sender info
        $sender = get_record('user', 'id', $message->useridfrom);
?>
<link type="<?php echo($CFG->momo_mle_server_link) ?>" url="msg/message.php&amp;msg=<?php echo($message->id)?>" dt="l" di="<?php momo_print_icon_path('msg_unread') ?>"/> <?php echo(momo_truncate($sender->firstname . ' ' . $sender->lastname))?><br/>
<font style="i"/>
<?php
        $date = usergetdate($message->timecreated);
        echo (' (' . $date['mday'] . '.' . $date['mon'] . '.' . $date['year'] . ',' . $date['hours'] . ':' . $date['minutes'] . ') ' . '<br/>');
?><font style="p"/>
<?php
        $count++;
    }
}
?>
</pa>
</ps>